aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndy Postnikov <apostnikov@gmail.com>2021-10-07 17:58:56 +0300
committerAndy Postnikov <apostnikov@gmail.com>2021-10-21 21:32:49 +0300
commita96d4adf31a020873d08921c22c707e32292db9d (patch)
tree068fb9cefff56ad361891958c7461f857a7e0fe3
parentd8dd073adb8760bf17231189f19c52394267f616 (diff)
downloadaports-a96d4adf31a020873d08921c22c707e32292db9d.tar.gz
aports-a96d4adf31a020873d08921c22c707e32292db9d.tar.bz2
aports-a96d4adf31a020873d08921c22c707e32292db9d.tar.xz
community/php8: security upgrade to 8.0.12 - CVE-2021-21703
-rw-r--r--community/php8/APKBUILD8
1 files changed, 5 insertions, 3 deletions
diff --git a/community/php8/APKBUILD b/community/php8/APKBUILD
index 5c65290a24..de18ccf76a 100644
--- a/community/php8/APKBUILD
+++ b/community/php8/APKBUILD
@@ -25,8 +25,8 @@
pkgname=php8
_pkgreal=php
-pkgver=8.0.11
-pkgrel=1
+pkgver=8.0.12
+pkgrel=0
_apiver=20200930
_suffix=${pkgname#php}
# Is this package the default (latest) PHP version?
@@ -175,6 +175,8 @@ subpackages="$subpackages $pkgname-common::noarch"
[ "$CARCH" != "riscv64" ] && subpackages="$subpackages $pkgname-litespeed"
# secfixes:
+# 8.0.12-r0:
+# - CVE-2021-21703
# 8.0.11-r0:
# - CVE-2021-21706
# 8.0.8-r0:
@@ -615,7 +617,7 @@ _mv() {
}
sha512sums="
-2d346959b2691ea0d5334dc9cad225b7a65ec53d6a6493f3b95c4819a0c088bec36aa1bf4ab3c8044a631bcfefb689d85463ff2259d42000e65dac30badcc59d php-8.0.11.tar.xz
+927b15c4443f3741a5325ec7bf387987b405cd5e64e40fd81f1945bf073adda30eeede8e1f98185f505cb61f969cf1abe05b8dad57a3c4e87971e8037bb16b23 php-8.0.12.tar.xz
8a9a63cddfd9bdde23db85a7be0711e14688bab35b580abd0184d370c54de80b72cbdeb369570cd23927154984f024eaad5d222d53d9e19130fb2e8758dd4540 php8-fpm.initd
cd3a96d3febde3b6657ed80ff58945641443e84e5e0fd3d9df29e640e9549bc452a3412f1999fa02ae1ee2b64c08040998fa75805f67e0252741c376e26e1c3c php8-fpm.logrotate
95f536addfbb28fbca8b14da46d95a3595369d6e98d345f55f0fda1b12bdefd1579a27505424e7d1088a987d330798253cec9bd42b544bb567189cba746217c7 php8-module.conf